mbedtls_ecp_point Struct Reference

ECP point structure (jacobian coordinates) More...

`#include <ecp.h>`

Collaboration diagram for mbedtls_ecp_point:
[legend]

## Data Fields

mbedtls_mpi | X
mbedtls_mpi | Y
mbedtls_mpi | Z

## Detailed Description

ECP point structure (jacobian coordinates)

Note
  All functions expect and return points satisfying the following condition: Z == 0 or Z == 1. (Other values of Z are used by internal functions only.) The point is zero, or "at infinity", if Z == 0. Otherwise, X and Y are its standard (affine) coordinates.

Definition at line 97 of file ecp.h.

## Field Documentation

mbedtls_mpi mbedtls_ecp_point::X

the point's X coordinate

Definition at line 99 of file ecp.h.

mbedtls_mpi mbedtls_ecp_point::Y

the point's Y coordinate

Definition at line 100 of file ecp.h.

mbedtls_mpi mbedtls_ecp_point::Z

the point's Z coordinate

Definition at line 101 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h